[19.10 FEAT] zlib compression improvements

Bug #1823157 reported by bugproxy on 2019-04-04
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Canonical Foundations Team
zlib (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Compression improvements for Linux on z using zlib in support of better performance.

Upstream post 2019-03-15: https://github.com/madler/zlib/pull/410

bugproxy (bugproxy) on 2019-04-04
tags: added: architecture-s39064 bugnameltc-176718 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → zlib (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Set to Incomplete until Ubuntu E* development starts.

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Frank Heimes (frank-heimes) wrote :

Looks like it's not yet upstream accepted...

Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Dimitri John Ledkov (xnox) wrote :

It's still in active discussion in zlib-ng, and no reviews yet for zlib.

I wonder if we need to do manual code review to merge this patch as an Ubuntu-distro patch without upstream.

------- Comment From <email address hidden> 2019-04-30 10:25 EDT-------
Currently it looks like, that backports to the current zlib will required. I will let you know.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-15 05:31 EDT-------
@Xnox: Update to your comment
< I wonder if we need to do manual code review to merge this patch as an Ubuntu-distro patch without upstream >

I would assume yes, we don't expect to get final upstream acceptance in time for 19.10.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-16 10:55 EDT-------
@Xnox: You are right. You have to pick up the
upstream post 2019-03-15: https://github.com/madler/zlib/pull/410 on top of 1.2.11. This is the only meaningfull solution getting this into 19.10. Which is a major item for the new machine...

Frank Heimes (frank-heimes) wrote :

security team to review and pick this up (as discussed with 'joe')

information type: Private → Private Security
Joe McManus (joemcmanus) wrote :

Just re-reading this. I don't see this as security related or ESM related since zlib is in main. I'm probably just missing something though.

Dimitri John Ledkov (xnox) wrote :

Re-requested code review by security team, and discussed this request with Joe on IRC.

Frank Heimes (frank-heimes) wrote :

Got feedback from the security team - seems that there are no concerns about this patch/PR from a security point of view.

However, a question was raised about the ongoing maintenance, since this patch is not yet upstream accepted in zlib (just in zlib-ng).
Is IBM still working with upstream to get this patch accepted in zlib?
It needs to be made sure that such non-upstream_accepted patches do not need to be (side-)maintained for ever (if at all) - especially in a case like this where common code is touched.

The final decision whether this can be picked-up and integrated is at the Foundations team.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-12 09:19 EDT-------
Q: Is IBM still working with upstream to get this patch accepted in zlib?
A: Yes,it's our intension, still from the beginning, but IBM can not commit the upstream integration due the external maintainership.

information type: Private Security → Public
Changed in zlib (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zlib - 1:1.2.11.dfsg-1ubuntu3

---------------
zlib (1:1.2.11.dfsg-1ubuntu3) eoan; urgency=medium

  * Cherrypick PR#410 to enable hardware-accelerated deflate.
  * Copmile with DFLTCC enabled on s390x. LP: #1823157

 -- Dimitri John Ledkov <email address hidden> Mon, 19 Aug 2019 19:51:09 +0100

Changed in zlib (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-22 03:57 EDT-------
IBM bugzilla status-> closed, Fix Release with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers